# direction

[![Build][build-badge]][build]
[![Coverage][coverage-badge]][coverage]
[![Downloads][downloads-badge]][downloads]
[![Size][size-badge]][size]

Detect direction: left-to-right, right-to-left, or neutral.

## Install

This package is ESM only: Node 12+ is needed to use it and it must be `import`ed
instead of `require`d.

```sh
npm install direction
```

## Use

```js
import {direction} from 'direction'

direction('A') // => 'ltr'
direction('anglais') // => 'ltr'
direction('بسيطة') // => 'rtl'
direction('@') // => 'neutral'
```

## API

This package exports the following identifiers: `direction`.
There is no default export.

### `direction(value)`

Detect the direction of `value` (`string?`).
Returns `'ltr'`, `'rtl'`, or `'neutral'`.

## CLI

```txt
Usage: direction [options] <words...>

Detect directionality: left-to-right, right-to-left, or neutral

Options:

  -h, --help           output usage information
  -v, --version        output version number

Usage:

# output directionality
$ direction @
# neutral

# output directionality from stdin
$ echo 'الانجليزية' | direction
# rtl
```

## License

[MIT][license] © [Titus Wormer][author]

<!-- Definitions -->

[build-badge]: https://github.com/wooorm/direction/workflows/main/badge.svg

[build]: https://github.com/wooorm/direction/actions

[coverage-badge]: https://img.shields.io/codecov/c/github/wooorm/direction.svg

[coverage]: https://codecov.io/github/wooorm/direction

[downloads-badge]: https://img.shields.io/npm/dm/direction.svg

[downloads]: https://www.npmjs.com/package/direction

[size-badge]: https://img.shields.io/bundlephobia/minzip/direction.svg

[size]: https://bundlephobia.com/result?p=direction

[license]: license

[author]: https://wooorm.com
